
#
# golang doesn't build DWARF deubging info a a build-id, so avoid warnings.
# (but it still generates the warning: Missing build-id in /home/johnh/rpmbuild/BUILDROOT/dnstapmq-1.0-1.fc39.x86_64/usr/bin/dnstapmq
#
%global debug_package %{nil}
%global _missing_build_ids_terminate_build 0

Name:           dnstapmq
Version:        1.5
Release:        1%{?dist}
Summary:        Convert dnstap data to message_question format.

License:        Apache-2.0
URL:            https://ant.isi.edu/software/dnstapmq/
Source0:        dnstapmq-%{version}.tar.gz

BuildRequires:  golang
BuildRequires:  protobuf-compiler
# git is for checkout of remote modules
BuildRequires:  git

%description
Dnstapmq reads dnstap data and writes message_question output.
It is derived from golang-dnstap from Farsight, with thanks.

%prep
%autosetup


%build
make install/dnstapmq


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%{_bindir}/dnstapmq
%{_mandir}/man8/dnstapmq.8*
%license COPYRIGHT



%changelog
* Tue Dec 19 2023 John Heidemann <johnh@isi.edu>
- 
